@echo off
if "%1"=="" goto loop
copy goldbach%1.in goldbach.in >nul
echo.
echo ------------------goldbach #%1------------------
echo Start: %time%
goldbach.exe
echo End:   %time%
fc goldbach.out goldbach%1.ans
pause
goto del
:loop
for %%i in (1 2 3 4 5 6 7 8 9 10) do call %0 %%i
goto end
:del
del goldbach.in
del goldbach.out
:end
